import { createApp } from "vue";
import App from "./App.vue";

// 引入全局样式
import "@/styles/index.scss";
// 注册全局组件
import gloablComponent from "@/components/index";
//引入路由
import router from "./router";
//引入仓库
import pinia from "./store";
// 引入element-ui组件
import ElementPlus from "element-plus";
// 引入element-plus样式
import "element-plus/dist/index.css";
//@ts-ignore  将element-plus默认语言设置成中文
import zhCn from "element-plus/dist/locale/zh-cn.mjs";
//引入路由鉴权文件
import "./permisstion";

const app = createApp(App);

app
  .use(gloablComponent)
  .use(ElementPlus, {
    locale: zhCn,
  })
  .use(router)
  .use(pinia)
  .mount("#app");
